setup.eventsGet = function(tags:string|string[]){
	if(!Array.isArray(tags))
		tags = [tags];
	const temporaryEventsCached =  State.temporary.temporaryEvents;
	State.temporary.temporaryEvents = {};

	let passagesVisited:{[key:string]:boolean} = {};
	
	
	/**
	 * We need this, because SugarCube won't wikify unless it receives a real HTMLElement.
	 * 
	 * We could directly use the Wikifier of SugarCube... but the current solution is good enough for now.
	 * @type {HTMLElement}
	 */
	var dummyElement:HTMLElement = document.createElement('div');
	
	for(const tag of tags){
		const eventPassages = Story.lookup("tags", tag+'_events');
		for(const eventPassage of eventPassages){
			if(passagesVisited[eventPassage.title])
				continue;
			passagesVisited[eventPassage.title] = true;
			$(dummyElement).wiki(eventPassage.processText());
		}
	}
	
	const result = State.temporary.temporaryEvents;
	State.temporary.temporaryEvents = temporaryEventsCached;
	return result;
}